> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Timeseries

> Retrieve a specific market's timeseries data with specified granularity. Price data is denominated in USD. Volume data is denominated in USD.

<Note>
  **x402 Support:** Supported.
  See the [x402 guide](/api-reference/x402-payments#supported-endpoints).
</Note>


## OpenAPI

````yaml GET /metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}:
    get:
      tags:
        - metrics/markets
      summary: Get market timeseries data with granularity
      description: >-
        Retrieve a specific market's timeseries data with specified granularity.
        Price data is denominated in USD. Volume data is denominated in USD.
      operationId: getMarketTimeseriesWithGranularity
      parameters:
        - description: Market ID (e.g., 6057-140-265 for BTC/USDT on Bitrue)
          in: path
          name: entityIdentifier
          required: true
          schema:
            type: string
            example: 6057-140-265
            default: 6057-140-265
        - description: >-
            Dataset slug: 'price' returns OHLC prices in USD, 'volume' returns
            trading volume in USD
          in: path
          name: datasetSlug
          required: true
          schema:
            type: string
            enum:
              - price
              - volume
            example: price
            default: price
        - description: Granularity - time interval for data points.
          in: path
          name: granularity
          required: true
          schema:
            enum:
              - 5m
              - 1h
              - 1d
              - 1w
            type: string
            example: 1d
            default: 1d
        - description: Time range start
          in: query
          name: start
          schema:
            type: string
            example: '2025-06-01T00:00:00Z'
            default: '2025-06-01T00:00:00Z'
        - description: Time range end
          in: query
          name: end
          schema:
            type: string
            example: '2025-06-07T00:00:00Z'
            default: '2025-06-07T00:00:00Z'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/TimeseriesData'
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/metricsTimeseriesMetadata'
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  points:
                    - - 1748736000
                      - 104717.98
                      - 106033.13
                      - 103675.87
                      - 105647.89
                    - - 1748822400
                      - 105664.8
                      - 106028.39
                      - 103686.65
                      - 105901.79
                    - - 1748908800
                      - 105892.19
                      - 106834.1
                      - 104907.73
                      - 105389.98
                    - - 1748995200
                      - 105414.51
                      - 105969.86
                      - 104256.41
                      - 104740.62
                    - - 1749081600
                      - 104738.95
                      - 106004.5
                      - 100450.57
                      - 101615.92
                metadata:
                  pointSchemas:
                    - name: Timestamp
                      slug: time
                      description: Timestamp of the data point.
                      is_timestamp: true
                    - name: Open Price (USD)
                      slug: open-price
                      description: USD price at the candle open.
                      is_timestamp: false
                    - name: High Price (USD)
                      slug: high-price
                      description: High USD price during the candle.
                      is_timestamp: false
                    - name: Low Price (USD)
                      slug: low-price
                      description: Low USD price during the candle.
                      is_timestamp: false
                    - name: Close Price (USD)
                      slug: close-price
                      description: USD price at the candle close.
                      is_timestamp: false
                  granularity: 1d
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TimeseriesData:
      properties:
        points:
          items:
            items: {}
            type: array
          type: array
      required:
        - points
      type: object
    metricsTimeseriesMetadata:
      properties:
        granularity:
          enum:
            - 1m
            - 5m
            - 15m
            - 30m
            - 1h
            - 6h
            - 1d
            - 1w
            - 30d
            - 1q
            - 1y
          type: string
        pointSchemas:
          items:
            $ref: '#/components/schemas/metricsPointSchema'
          type: array
      required:
        - granularity
        - pointSchemas
      type: object
    metricsPointSchema:
      type: object
      description: Schema for metricsPointSchema
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````